#include <stdio.h> 
#include <math.h>
#include <gsl/gsl_vector.h>


typedef struct
{
    int data_date;           /* quarter number */
    double data_r;           /* target interest rate */
    double data_pi;          /* inflation rate  */
    double data_gdp;           /* HP-filtered GDP */
    double data_delta;       /* discreteness adjustment */

} dsge_data_obj;


dsge_data_obj *dsge_read_in_data(char *inputfilename, int data_T);


dsge_data_obj *dsge_read_in_data(char *inputfilename, int data_T)
{
    int i,data_date;
    FILE *inputfile;
    dsge_data_obj *data_X = (dsge_data_obj*) malloc( (unsigned) data_T*sizeof(dsge_data_obj));
    float data_r,data_pi,data_gdp,data_delta;
  
  /* open file */
  inputfile = fopen(inputfilename,"r");

  /* read in data */
  for(i=0;i<data_T;i++)
    {
	  fscanf(inputfile,"%d%f%f%f%f",&data_date,&data_r,&data_pi,&data_gdp,&data_delta); 

	  data_X[i].data_date = data_date; 
	  data_X[i].data_r = data_r;
	  data_X[i].data_pi = data_pi;
	  data_X[i].data_gdp = data_gdp;
	  data_X[i].data_delta = data_delta;
    }

  fclose(inputfile);

  return data_X;
}
