// stdafx.h : include file for standard system include files,
//  or project specific include files that are used frequently, but
//      are changed infrequently
//

#if !defined(AFX_STDAFX_H__EBB22513_A130_4098_A9FC_DE78ED7EABAD__INCLUDED_)
#define AFX_STDAFX_H__EBB22513_A130_4098_A9FC_DE78ED7EABAD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <stdio.h>
#include <time.h>
#include <math.h>
#include <float.h>
#include <time.h>
#include <memory.h>


#include <gsl/gsl_math.h>
#include <gsl/gsl_complex.h> 
#include <gsl/gsl_vector.h>
#include <gsl/gsl_matrix.h>
#include <gsl/gsl_rng.h>
#include <gsl/gsl_randist.h>
#include <gsl/gsl_linalg.h>
#include <gsl/gsl_sf_exp.h>
#include <gsl/gsl_cdf.h>
#include <gsl/gsl_multimin.h>


//#define _CRTDBG_MAP_ALLOC	// enables display of file and line number when using _CrtDumpMemoryLeaks();
#include <stdlib.h>
#include <crtdbg.h>

//Defining the PARAMETER structure type
typedef struct
{
	double theta_tau;
	double theta_beta;
	double theta_k;
	double theta_psi1;
	double theta_psi2;

	double theta_rho_pi;
	double theta_rho_r;
	double theta_rho_g;
	double theta_rho_z;

	double theta_D;

	double theta_pi_star;
	double theta_r_star;

	double theta_sigma_r;
	double theta_sigma_z;
	double theta_sigma_g;
	double theta_sigma_pi;
	double theta_rho_gz;
} dsge_param;

typedef struct
{
    int data_date;           /* quarter number */
    double data_r;           /* target interest rate */
    double data_pi;          /* inflation rate  */
    double data_gdp;         /* HP-filtered GDP */
    double data_delta;       /* discreteness adjustment */

} dsge_data_obj;

struct DSGE_like_params 
{ 
	dsge_data_obj *data_X;
	int data_T; 
	gsl_vector *v_x;
	int dim;
	int partial;
};

//#ifndef _gsl_r
extern gsl_rng * _gsl_r;
//#endif



//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STDAFX_H__EBB22513_A130_4098_A9FC_DE78ED7EABAD__INCLUDED_)
